Subject: [6lowpan] comments on header compression of draft-ietf-6lowpan-format-00

From: "郜帅" <[email-masked]>
Date: Mon, 8 Aug 2005 15:13:54 +0800

hi！
  I am interested in header compression of 6lowpan  and  have some comments on draft-ietf-6lowpan-format-00. 

 1、In section 8,  the author mentioned: "Here, we assume that most of the time there will be only one flow, and this allows a very simple and low context flavor of header compression."
    I am not very sure the basis of above assumption.  I think the probability that there is more than one flow between any two devices is not very little.  

2、 I think header compression method in draft-ietf-6lowpan-format-00 will not work in some environment.  
    For example , in figure 1, A and D are two source nodes, and C is destination node. In HC1 ecoding, source address chooses IC. A and D send messages to C at the same time, using B as intermedia node. The compressed  packets from A and D can't not be identified by C. Because they have same compressed header and same Layer 2 source and destination address. 
        
	           A----->B------>C
                      ^
	               	  |
		              |
		              |
                      D
              Figure 1: special environment 　　　　　　　

Regards,
Gao Shuai
Beijing Jiaotong University  NGI Research Center
[email-masked]
2005-08-08

_______________________________________________
6lowpan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/6lowpan